Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface CredentialCreationOptionsParameters.IAttestationConveyancePreferenceStage

All Known Implementing Classes:
  `CredentialCreationOptionsParameters.Builder`

Enclosing class:
  CredentialCreationOptionsParameters

public static interface CredentialCreationOptionsParameters.IAttestationConveyancePreferenceStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialCreationOptionsParameters.IBuildStage`
`withAttestationConveyancePreference(com.yubico.webauthn.data.AttestationConveyancePreference preference)`
The attestation conveyance preference.

## Method Details

### withAttestationConveyancePreference

CredentialCreationOptionsParameters.IBuildStage withAttestationConveyancePreference(@Nonnull com.yubico.webauthn.data.AttestationConveyancePreference preference)
The attestation conveyance preference.

Parameters:
  `preference` - the preference
Returns:
  the next stage